module.exports = function(grunt) {
	grunt.initConfig({
		pkg: grunt.file.readJSON('package.json'),
		jshint: {
			build: {
				options: {
					globals: {
						exports: true,
						require: false,
						define: false
					},
					undef: true,
					strict: true
				},
				src: [
					'src/*.js'
				]
			}
		},
		requirejs: {
			build: {
				options: {
					baseUrl: './src',
					out: 'build/asyncjs.js',
					include: ['augmented'],
					paths: {
						'q': '../node_modules/q/q'
					}
				}
			}
		},
		nodeunit: {
			test: {
				src: ['tests/testrunner.js']
			}
		}
	});

	grunt.loadNpmTasks('grunt-contrib-uglify');
	grunt.loadNpmTasks('grunt-contrib-concat');
	grunt.loadNpmTasks('grunt-contrib-jshint');
	grunt.loadNpmTasks('grunt-contrib-copy');
	grunt.loadNpmTasks('grunt-contrib-clean');
	grunt.loadNpmTasks('grunt-contrib-nodeunit');
	grunt.loadNpmTasks('grunt-requirejs');

	grunt.registerTask('build-test', []);
	grunt.registerTask('run-test', ['nodeunit:test']);
	grunt.registerTask('clean-test', []);

	grunt.registerTask('build', ['jshint:build', 'requirejs:build']);
	grunt.registerTask('test', ['build-test', 'run-test', 'clean-test']);

	grunt.registerTask('default', ['build', 'test']);
}