(function (root, factory) {
	'use strict';

	if(typeof exports === 'object') {
		// CommonJS
		factory(exports, require('./rewriter'), require('./augmentlib'));
	} else if(typeof define === 'function' && define.amd) {
		// AMD. Register as an anonymous module.
		define(['exports', './rewriter', './augmentlib'], factory);
	} else {
		// Browser globals
		if(!root.augmented) {
			root.augmented = {};
		}
		factory(root.augmented, root.augmented.rewriter, root.augmented.lib);
	}
}(this, function (exports, rewriter, augmentlib) {
	'use strict';

	exports.rewrite = rewriter.rewrite;
	exports.lib = augmentlib;
}));