(function (root, factory) {
	'use strict';

	if(typeof exports === 'object') {
		// CommonJS
		factory(exports, require('./source-map-generator'), require('./source-map-consumer'), require('./source-node'));
	} else if(typeof define === 'function' && define.amd) {
		// AMD. REgister as an anonymous module.
		define(['exports', './source-map-generator', './source-map-consumer', './source-node'], factory);
	} else {
		// Browser globals
		factory((root.sourceMap = {}), root.sourceMapGenerator, root.sourceMapConsumer, root.sourceNode);
	}
}(this, function (exports, generator, consumer, node) {

	exports.SourceMapGenerator = generator.SourceMapGenerator;
	exports.SourceMapConsumer = consumer.SourceMapConsumer;
	exports.SourceNode = node.SourceNode;

}));